Bug 1479017 - OVS interface other_config is not persistent across reboots
OVS interface other_config is not persistent across reboots
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch (Show other bugs)
7.4
x86_64 Linux
urgent Severity urgent
: rc
: ---
Assigned To: Matteo Croce
Christian Trautman
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 13:52 EDT by Matt Flusche
Modified: 2018-06-04 13:24 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-30 17:43:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openvswitch with some VLOG_INFO and VLOG_DBG changed to VLOG_ERR (4.70 MB, application/x-rpm)
2017-08-18 10:59 EDT, Aaron Conole
no flags Details

  None (edit)
Description Matt Flusche 2017-08-07 13:52:59 EDT
Description of problem:
The following config is not persistent across reboots.

ovs-vsctl set interface dpdk2 options:n_rxq=6 other_config:pmd-rxq-affinity="0:24,1:25,2:26,4:68,5:69,6:70"
ovs-vsctl set interface dpdk3 options:n_rxq=6 other_config:pmd-rxq-affinity="0:24,1:25,2:26,4:68,5:69,6:70"
ovs-vsctl set interface dpdk4 options:n_rxq=6 other_config:pmd-rxq-affinity="0:24,1:25,2:26,4:68,5:69,6:70"
ovs-vsctl set interface dpdk5 options:n_rxq=6 other_config:pmd-rxq-affinity="0:24,1:25,2:26,4:68,5:69,6:70"

After a reboot the other_config will be cleared for these ports.

Version-Release number of selected component (if applicable):
openvswitch-2.6.1-10.git20161206.el7fdp.x86_64


How reproducible:
100% in this specific environment.

I've been able to inconsistently reproduce it in a simple ovs dpdk environment following this procedure:

https://access.redhat.com/solutions/2958591

Steps to Reproduce:
1. Deploy OSP 10 w/ ovs-dpdk
2. set interface other_config
3. reboot

Actual results:
other_config is missing after reboot

Expected results:
persistent interface other_config

Additional info:
Comment 19 Aaron Conole 2017-08-18 10:59 EDT
Created attachment 1315259 [details]
openvswitch with some VLOG_INFO and VLOG_DBG changed to VLOG_ERR

a bunch of log messages will now appear *possibly* showing where the errors occur.

Additionally, this includes patches bringing ovs to at least -12.

Note You need to log in before you can comment on or make changes to this bug.